Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-26603

Update minikube backend in K8s integration tests

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • 2.4.0
    • 3.0.0
    • Kubernetes, Spark Core
    • None

    Description

      Minikube status command has changed (https://github.com/kubernetes/minikube/commit/cb3624dd089e7ab0c03fbfb81f20c2bde43a60f3#diff-bd0534bbb0703b4170d467d074373788) in the latest releases >0.30.

      Old output:

      minikube status
      There is a newer version of minikube available (v0.31.0). Download it here:
      https://github.com/kubernetes/minikube/releases/tag/v0.31.0

      To disable this notification, run the following:
      minikube config set WantUpdateNotification false
      minikube:
      cluster:
      kubectl: 

      new output:

      minikube status
      host: Running
      kubelet: Running
      apiserver: Running
      kubectl: Correctly Configured: pointing to minikube-vm at 172.31.34.77

      That means users with latest version of minikube will not be able to run the integration tests.

      Attachments

        Issue Links

          Activity

            People

              skonto Stavros Kontopoulos
              skonto Stavros Kontopoulos
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: